Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class SshToolsApplicationClientPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.sshtools.common.ui.SshToolsApplicationPanel
                          com.sshtools.common.ui.SshToolsApplicationClientPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public abstract class SshToolsApplicationClientPanel
extends SshToolsApplicationPanel

DOCUMENT ME!

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SshToolsApplicationClientPanel.ActionMenu`

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `BANNER_TIMEOUT` DOCUMENT ME!
`protected javax.swing.filechooser.FileFilter` | `connectionFileFilter` DOCUMENT ME!
`protected java.io.File` | `currentConnectionFile` DOCUMENT ME!
`protected SshToolsConnectionProfile` | `currentConnectionProfile` DOCUMENT ME!
`protected HostKeyVerification` | `hostKeyVerification` DOCUMENT ME!
`protected org.apache.commons.logging.Log` | `log` DOCUMENT ME!
`protected boolean` | `needSave` DOCUMENT ME!
`static java.lang.String` | `PREF_CONNECTION_FILE_DIRECTORY` DOCUMENT ME!
`protected SshClient` | `ssh` DOCUMENT ME!
`protected static AbstractKnownHostsKeyVerification` | `ver` DOCUMENT ME!

Fields inherited from class com.sshtools.common.ui.SshToolsApplicationPanel
`actionMenus, actions, actionsVisible, application, container, contextMenu, menuBar, toolBar, toolsVisible`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SshToolsApplicationClientPanel()` Creates a new SshToolsApplicationClientPanel object.
`SshToolsApplicationClientPanel(java.awt.LayoutManager mgr)` Creates a new SshToolsApplicationClientPanel object.

Method Summary
`protected boolean` | `authenticateUser(boolean newProfile)` DOCUMENT ME!
`abstract void` | `authenticationComplete(boolean newProfile)` DOCUMENT ME!
`void` | `closeConnection(boolean disconnect)` DOCUMENT ME!
`void` | `connect()` DOCUMENT ME!
`void` | `connect(SshClient ssh, SshToolsConnectionProfile profile)` DOCUMENT ME!
`void` | `connect(SshToolsConnectionProfile profile, boolean newProfile)` DOCUMENT ME!
`void` | `editConnection()` DOCUMENT ME!
`boolean` | `editConnection(SshToolsConnectionProfile profile)` DOCUMENT ME!
`abstract SshToolsConnectionTab[]` | `getAdditionalConnectionTabs()` DOCUMENT ME!
`java.io.File` | `getCurrentConnectionFile()` DOCUMENT ME!
`SshToolsConnectionProfile` | `getCurrentConnectionProfile()` DOCUMENT ME!
`HostKeyVerification` | `getHostKeyVerification()` DOCUMENT ME!
`void` | `init(SshToolsApplication application)` DOCUMENT ME!
`boolean` | `isConnected()` DOCUMENT ME!
`boolean` | `isNeedSave()` DOCUMENT ME!
`SshToolsConnectionProfile` | `newConnectionProfile(SshToolsConnectionProfile profile)` DOCUMENT ME!
`void` | `open()` DOCUMENT ME!
`void` | `open(java.io.File f)` DOCUMENT ME!
`abstract boolean` | `postConnection()` DOCUMENT ME!
`java.io.File` | `saveConnection(boolean saveAs, java.io.File file, SshToolsConnectionProfile profile)` DOCUMENT ME!
`void` | `setContainerTitle(java.io.File file)` DOCUMENT ME!
`void` | `setCurrentConnectionFile(java.io.File file)` DOCUMENT ME!
`void` | `setCurrentConnectionProfile(SshToolsConnectionProfile profile)` DOCUMENT ME!
`void` | `setHostHostVerification(HostKeyVerification hostKeyVerification)` DOCUMENT ME!
`void` | `setNeedSave(boolean needSave)` DOCUMENT ME!
`protected int` | `showAuthenticationPrompt(SshAuthenticationClient instance)`

Methods inherited from class com.sshtools.common.ui.SshToolsApplicationPanel
`canClose, close, deregisterAction, getAction, getActionMenu, getApplication, getContainer, getContextMenu, getJMenuBar, getStatusBar, getToolBar, isToolsVisible, rebuildActionComponents, registerAction, registerActionMenu, setActionVisible, setAvailableActions, setContainer, setMenuBarVisible, setStatusBarVisible, setToolBarVisible, setToolsVisible, showErrorMessage, showErrorMessage, showExceptionMessage, showOptions`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PREF_CONNECTION_FILE_DIRECTORY

    public static final java.lang.String PREF_CONNECTION_FILE_DIRECTORY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BANNER_TIMEOUT

    public static final int BANNER_TIMEOUT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ver

    protected static AbstractKnownHostsKeyVerification ver

  DOCUMENT ME!

### log

    protected org.apache.commons.logging.Log log

  DOCUMENT ME!

### hostKeyVerification

    protected HostKeyVerification hostKeyVerification

  DOCUMENT ME!

### currentConnectionFile

    protected java.io.File currentConnectionFile

  DOCUMENT ME!

### needSave

    protected boolean needSave

  DOCUMENT ME!

### currentConnectionProfile

    protected SshToolsConnectionProfile currentConnectionProfile

  DOCUMENT ME!

### connectionFileFilter

    protected javax.swing.filechooser.FileFilter connectionFileFilter

  DOCUMENT ME!

### ssh

    protected SshClient ssh

  DOCUMENT ME!

Constructor Detail

### SshToolsApplicationClientPanel

    public SshToolsApplicationClientPanel()

  Creates a new SshToolsApplicationClientPanel object.

### SshToolsApplicationClientPanel

    public SshToolsApplicationClientPanel(java.awt.LayoutManager mgr)

  Creates a new SshToolsApplicationClientPanel object.

Parameters:
  `mgr` - DOCUMENT ME!

Method Detail

### getAdditionalConnectionTabs

    public abstract SshToolsConnectionTab[] getAdditionalConnectionTabs()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getHostKeyVerification

    public HostKeyVerification getHostKeyVerification()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setHostHostVerification

    public void setHostHostVerification(HostKeyVerification hostKeyVerification)

  DOCUMENT ME!

  Parameters:
    `hostKeyVerification` - DOCUMENT ME!

### init

    public void init(SshToolsApplication application)
              throws SshToolsApplicationException

  DOCUMENT ME!

  Overrides:
    `init` in class `SshToolsApplicationPanel`
  Parameters:
    `application` - DOCUMENT ME!
  Throws:
    `SshToolsApplicationException` - DOCUMENT ME!

### editConnection

    public void editConnection()

  DOCUMENT ME!

### newConnectionProfile

    public SshToolsConnectionProfile newConnectionProfile(SshToolsConnectionProfile profile)

  DOCUMENT ME!

  Parameters:
    `profile` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### open

    public void open()

  DOCUMENT ME!

### open

    public void open(java.io.File f)

  DOCUMENT ME!

  Parameters:
    `f` - DOCUMENT ME!

### connect

    public void connect(SshToolsConnectionProfile profile,
                        boolean newProfile)

  DOCUMENT ME!

  Parameters:
    `profile` - DOCUMENT ME!
    `newProfile` - DOCUMENT ME!

### connect

    public void connect(SshClient ssh,
                        SshToolsConnectionProfile profile)
                 throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `ssh` - DOCUMENT ME!
    `profile` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### authenticateUser

    protected boolean authenticateUser(boolean newProfile)
                                throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `newProfile` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### showAuthenticationPrompt

    protected int showAuthenticationPrompt(SshAuthenticationClient instance)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### postConnection

    public abstract boolean postConnection()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### authenticationComplete

    public abstract void authenticationComplete(boolean newProfile)
                                         throws SshException,
                                                java.io.IOException

  DOCUMENT ME!

  Parameters:
    `newProfile` - DOCUMENT ME!
  Throws:
    `SshException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### setContainerTitle

    public void setContainerTitle(java.io.File file)

  DOCUMENT ME!

  Overrides:
    `setContainerTitle` in class `SshToolsApplicationPanel`
  Parameters:
    `file` - DOCUMENT ME!

### setNeedSave

    public void setNeedSave(boolean needSave)

  DOCUMENT ME!

  Parameters:
    `needSave` - DOCUMENT ME!

### setCurrentConnectionFile

    public void setCurrentConnectionFile(java.io.File file)

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!

### getCurrentConnectionFile

    public java.io.File getCurrentConnectionFile()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setCurrentConnectionProfile

    public void setCurrentConnectionProfile(SshToolsConnectionProfile profile)

  DOCUMENT ME!

  Parameters:
    `profile` - DOCUMENT ME!

### getCurrentConnectionProfile

    public SshToolsConnectionProfile getCurrentConnectionProfile()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isNeedSave

    public boolean isNeedSave()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isConnected

    public boolean isConnected()

  DOCUMENT ME!

  Specified by:
    `isConnected` in class `SshToolsApplicationPanel`
  Returns:
    DOCUMENT ME!

### connect

    public void connect()
                 throws SshException

  DOCUMENT ME!

  Throws:
    `SshException` - DOCUMENT ME!

### closeConnection

    public void closeConnection(boolean disconnect)

  DOCUMENT ME!

  Parameters:
    `disconnect` - DOCUMENT ME!

### editConnection

    public boolean editConnection(SshToolsConnectionProfile profile)

  DOCUMENT ME!

  Parameters:
    `profile` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### saveConnection

    public java.io.File saveConnection(boolean saveAs,
                                       java.io.File file,
                                       SshToolsConnectionProfile profile)

  DOCUMENT ME!

  Parameters:
    `saveAs` - DOCUMENT ME!
    `file` - DOCUMENT ME!
    `profile` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD